use Win32::OLE qw(in with);
use Win32::OLE::Const 'Grapher';
$Win32::OLE::Warn = 3;	# Gives more info on errors

# Create the Grapher object by either taking the already running instance or creating a new one
my $Grapher = Win32::OLE->GetActiveObject('Grapher.Application') || Win32::OLE->new('Grapher.Application');
$Surfer->{'Visible'} = 1;

# Create a line plot from a Samples file
my $sampleFile = $Grapher->Path."\\Samples\\class scatter.xls";
my $plot = $Grapher->Documents->Add;
my $scatterGraph = $plot->Shapes->AddLinePlotGraph(
	"$sampleFile", #worksheet
	1, #xCol
	2  #yCol
	);
my $scatterPlot = $scatterGraph->Plots(1);

# Change the line plot to be a scatter plot by removing the line display and changing the symbol frequency
$scatterPlot->{'SymbolFreq'} = 1;
$scatterPlot->Line->{'Style'} = "Invisible";

# Reverse the X and Y columns specified above
my $tempX = $scatterPlot->xCol;
$scatterPlot->{'xCol'} = $scatterPlot->yCol;
$scatterPlot->{'yCol'} = $tempX;

# Add a linear fit with a fill
my $linearFit = $scatterPlot->AddFit(grfLinearFit);
$linearFit->Fill->SetPattern("Solid");
$linearFit->Fill->{'foreColor'} = grfColorRed;
$linearFit->Fill->{'ForeOpacity'} = 50;

# Print the document
$plot->PrintOut();
